Inhoud

# LibreOffice-software starten met parameters

Wanneer u de LibreOffice-software vanaf de opdrachtregel start, kunt u verschillende parameters toewijzen, waarmee u de prestaties kunt beïnvloeden. Het gebruik van opdrachtregelparameters is alleen aanbevolen voor ervaren gebruikers.

Voor normale verwerking is het gebruik van opdrachtregelparameters niet nodig. Voor enkele parameters moet u een beter inzicht hebben in de technische achtergrond van LibreOffice-softwaretechnologie.

## De LibreOffice-software vanaf de opdrachtregel starten

1. Zoek naar Uitvoeren in het startmenu van Windows.

2. Typ de volgende tekst in het tekstveld Open en klik op OK.

3. "{install}\program\soffice.com" {parameter}

   Vervang {install} door het pad naar uw installatie van LibreOffice-software (bijvoorbeeld C:\Program Files\LibreOffice). Gebruik soffice.exe in plaats van soffice.com, wanneer u geen console nodig heeft (u gebruikt bijvoorbeeld geen opdrachtregelinterface voor headless-bewerkingen).

1. Open een shell onder Linux-, *BSD- of macOS-platforms.

2. Typ de volgende regel tekst en druk vervolgens op Enter:

   {install}/program/soffice {parameter}

   Vervang {install} door het pad naar uw installatie van LibreOffice-software (bijvoorbeeld /opt/LibreOffice in UNIX)

LibreOffice vereist schrijftoegang tot de profielmap van de gebruiker.

## Geldige parameters voor opdrachtregel

### Gebruik zonder speciale argumenten

Als u geen argumenten gebruikt, wordt het startcentrum geopend.

{bestand} | Probeert het bestand (bestanden) te openen in de componenten die er geschikt voor zijn.
{file} macro://./[Library.Module.MacroName] | Opent het bestand en past macro's toe van het bestand.

### Hulp en informatie krijgen

Parameter | Betekenis
--- | ---
--help / -h / -? | Toont de beschikbare parameters voor het console.
--helpwriter | Opent LibreOffice ingebouwde of online Help van Writer.
--helpcalc | Opent LibreOffice ingebouwde of online Help van Calc.
--helpdraw | Opent LibreOffice ingebouwde of online Help van Draw.
--helpimpress | Opent LibreOffice ingebouwde of online Help van Impress.
--helpbase | Opent LibreOffice ingebouwde of online Help van Base.
--helpbasic | Opent LibreOffice ingebouwde of online Help van Basic scripttaal.
--helpmath | Opent LibreOffice ingebouwde of online Help van Math.
--version | Toont LibreOffice versie en sluit af.
--nstemporarydirectory | (Alleen MacOS-sandbox) Geeft het pad van de tijdelijke directory weer voor de huidige gebruiker en sluit af. Heeft voorrang boven alle andere argumenten.

### Algemene argumenten

Parameter | Betekenis
--- | ---
--quickstart[=no] | Activeert[Deactiveert] de Snelstarter-service. Het kan slechts één parameter nee hebben, die de Snelstarter-service deactiveert. Zonder parameters wordt deze service geactiveerd.
--nolockcheck | Schakelt controles uit voor exemplaren op afstand met behulp van de installatie.

--infilter=InputFilterName
[:InputFilterParam[,param]]

Forceert een invoerfiltertype, indien mogelijk. Bijvoorbeeld:

--infilter="Calc Office Open XML"

--infilter="Text (encoded):UTF8,LF,Liberation Mono,en-US".

Zie de lijst met documentfilters voor bestandsconversie.

De lijst met filteropties voor Lotus, dBase en Diff-bestanden.

De lijst met filteropties voor CSV-bestanden.

De lijst met filteropties voor PDF-bestanden.

--pidfile={file} | Sla soffice.bin pid op in {file}.
--display {display} | Stelt de omgevingsvariabele DISPLAY op UNIX-achtige platforms in op de waarde {display}. Deze parameter wordt alleen ondersteund door het startscript voor LibreOffice-software op UNIX-achtige platforms.

### Gebruikers/programma interface controle.

Parameter | Betekenis
--- | ---
--nologo | Schakelt het beginscherm uit dat verschijnt wanneer het programma gestart wordt.
--minimized | Start geminimaliseerd. Het beginscherm wordt niet weergegeven.
--nodefault | Start zonder iets weer te geven behalve het beginscherm.

--invisible

Begint in onzichtbare modus.

Noch het opstartlogo noch het initiële programmavenster wordt zichtbaar. LibreOffice-software kan echter beheerd worden en documenten en dialoogvensters kunnen geopend worden via de API.

Als deze parameter geactiveerd is, kan LibreOffice alleen afgesloten worden met de taakbeheerder of met de opdracht kill UNIX-achtige systemen).

Kan niet samen met -quickstart gebruikt worden.

Meer informatie vindt u in de LibreOffice-gids voor ontwikkelaars.

--headless | Begint in 'headless'-modus waarbij de toepassing zonder gebruikersinterface gebruikt kan worden. Deze speciale modus kan gebruikt worden wanneer de toepassing beheerd wordt door externe clients via de API.
--norestore | Hiermee wordt het opnieuw starten en bestandsherstel na een systeem-crash uitgeschakeld.
--safe-mode | Start in een veilige modus, d.w.z. start tijdelijk met een nieuw gebruikersprofiel en helpt om een configuratie te herstellen.
--accept={UNO} | Meldt LibreOffice-software dat er een 'UNO Accept String' gebruikt zal worden bij de creatie van 'UNO Acceptor Threads'. UNO-URL is string zoals uno:connection-type,params;protocol-name,params;ObjectName. Meer informatie vindt u in de LibreOffice-gids voor ontwikkelaars.
--unaccept={UNO-URL} | Sluit een acceptor die was gemaakt met --accept={UNO-URL}. Gebruik --unaccept=all om alle open acceptors te sluiten.
--language={lang} | Gebruikt gespecificeerde taal, als taal nog niet is geselecteerd voor de gebruikersinterface. De lang is een aanhangsel van de IETF-taal.

### Parameters voor ontwikkelaars

Parameter | Betekenis
--- | ---
--terminate_after_init | Sluiten nadat initialisatie voltooid is (geen documenten geladen)

Unix- en Linux-gebruikers kunnen LibreOffice aanroepen met deze aanvullende parameters voor foutopsporingsdoeleinden.

Parameter | Bedoeling
--- | ---
--record | Een verbeterde debugger.
--backtrace | Voert de tracering van de gehele batch uit.
--strace | strace is een diagnostisch, debuggen en instructief gebruikersruimteprogramma voor Linux.
--valgrind | Detecteert automatisch veel geheugenbeheer- en threadingfouten en introduceert het programma in detail.

De debug-opties --record, --backtrace, --strace en --valgrind kunnen niet samen worden gebruikt . Gebruik ze een voor een.

### Parameters voor het maken van nieuwe documenten

De parameters maken een leeg document van het gespecificeerde soort. Slechts één soort mag in één opdrachtregel worden gebruikt. Als de bestandsnaam wordt opgegeven na een argument, dan wordt geprobeerd het bestand te openen in het opgegeven onderdeel.

Parameter | Betekenis
--- | ---
--writer | Begint met een leeg Writer-document.
--calc | Begint met een leeg Calc-document.
--draw | Begint met een leeg Draw-document.
--impress | Begint met een leeg Impress-document.
--math | Begint met een leeg Math-document.
--global | Begint met een leeg Writer-hoofddocument.
--web | Begint met een leeg HTML-document.

### Parameters voor het openen van bestanden

De parameters bepalen hoe de volgende bestandsnamen worden behandeld. Een nieuwe behandeling begint na de parameter en eindigt bij de volgende parameter. De standaardbehandeling is om documenten te openen voor bewerking en nieuwe documenten uit documentsjablonen te maken.

Parameter | Betekenis
--- | ---
-n | Behandelt de volgende bestanden als sjablonen voor het maken van nieuwe documenten.
-o | Open de volgende bestanden voor bewerken, ongeacht of ze sjablonen zijn of niet.

--pt {Printername}

Drukt de bestanden af naar de printer {Printername} en sluit af. Het beginscherm wordt niet weergegeven.

Als de bestandsnaam spaties bevat, moet die tussen aanhalingstekens staan.

Indien meerdere keren gebruikt, is alleen de laatste {Printername} van kracht voor alle documenten van alle --pt bewerkingen.

Ook de, --printer-name parameter van --print-to-file schakelt over met {Printername}.

-p | Drukt de volgende bestanden af naar de standaardprinter, waarna die bestanden worden afgesloten. Het beginscherm verschijnt niet. Als de bestandsnaam spaties bevat, moet die tussen aanhalingstekens staan.
--view | Opent de volgende bestanden in de leesmodus (alleen lezen).
--show[=N] | Opent en start de presentatie van de volgende presentatiedocumenten onmiddellijk. Na de vertoning worden de dossiers gesloten. N in het voorbeeld verwijst naar het dianummer en, als dit wordt opgegeven, beginnen ze bij die dia.

--convert-to OutputFileExtension
[:OutputFilterName
[:OutputFilterParams[,param]]]
[--outdir output_dir]

Als --convert-to meer dan één keer wordt gebruikt, is de laatste waarde van OutputFileExtension[:OutputFilterName[:OutputFilterParams]] effectief. Als --outdir meerdere keren wordt gebruikt, is alleen de laatste waarde effectief. Bij afwezigheid van --outdir wordt de huidige werkmap gebruikt voor het resultaat. Bijvoorbeeld:

--convert-to pdf *.doc

--convert-to pdf:writer_pdf_Export --outdir /home/user *.doc

--convert-to "html:XHTML Writer File:UTF8" *.doc

--convert-to "txt:Text (encoded):UTF8" *.doc

Zie de lijst met documentfilters voor bestandsconversie.

De lijst met filteropties voor Lotus, dBase en Diff-bestanden.

De lijst met filteropties voor CSV-bestanden.

De lijst met filteropties voor PDF-bestanden.

--print-to-file [--printer-name printer_name] [--outdir output_dir]

Batch afdrukken van bestanden naar bestand. Als --outdir niet is gespecificeerd, dan wordt de huidige werkmap gebruikt als output_dir.

Als --printer-name of --outdir meerdere keren gebruikt worden, is de laatste waarde van elk effectief. Ook, {Printername} van --pt schakelt over met --printer-name. For example:

--print-to-file *.doc

--print-to-file --printer-name nasty_lowres_printer --outdir /home/user *.doc

--cat | Voert de filter “txt:Text” uit op de volgende tekstdocumenten en dumpt tekstinhoud naar console (impliceert --headless). Kan niet gebruikt worden met --convert-to.
-env:VAR[=VALUE] | Stel een bootstrap-variabele in. Om bijvoorbeeld een niet-standaard gebruikersprofielpad in te stellen: soffice.com -env:UserInstallation=file:///c:/my-test-profile open LibreOffice.app -env:UserInstallation=file:///tmp/test soffice -env:UserInstallation=file:///tmp/test

### Schakelingen negeren

Parameter | Betekenis
--- | ---
-psn | Negeert (alleen MacOS)
-Embedding | Negeert (gerelateerd aan COM+; alleen Windows)
--nofirststartwizard | Doet niets, accepteert alleen achterwaartse compatibiliteit.
--protector {arg1} {arg2} | Alleen gebruikt in testen van onderdelen en moet twee parameters hebben.

Help ons, alstublieft!